Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class SystemEnvironment

    java.lang.Object
      com.fujitsu.iflow.common.BaseSystemEnvironment
          com.fujitsu.iflow.common.SystemEnvironment

All Implemented Interfaces:
  java.io.Serializable

public final class SystemEnvironment
extends BaseSystemEnvironment
implements java.io.Serializable

System environment property sets.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DFLT_TWFServerClientSessionHeartBeat`
`static java.lang.String` | `DFLT_TWFServerEMailClientPage` Defaults
`static java.lang.String` | `DFLT_TWFServerGarbageCollectionFrequency`
`static java.lang.String` | `DFLT_TWFServerHouseKeepingMemorySize`
`static java.lang.String` | `DFLT_TWFServerMaxMemorySize`
`static java.lang.String` | `DFLT_TWFServerMaxProcessesPerUser`
`static java.lang.String` | `DFLT_TWFServerMemoryMonitoringFrequency`
`static java.lang.String` | `DFLT_TWFServerMemoryZoneSizes`
`static java.lang.String` | `DFLT_TWFServerNotificationUserProfileField`
`static java.lang.String` | `DFLT_TWFServerStartMemorySize`
`static java.lang.String` | `initFileName`
`static java.lang.String` | `kLDAPGroups`
`static java.lang.String` | `kLDAPPeople`
`static java.lang.String` | `kMaxWaitSecForAdapters`
`protected static java.lang.String` | `oldIniFileName`
`static java.lang.String[]` | `pubList`
`static int` | `TRANSPORT_IIOP`
`static int` | `TRANSPORT_RMI`
`static int` | `TRANSPORT_RMIIIOP`
`static java.lang.String[]` | `transportTypes`
`static int` | `vAgentDispatcherThreads`
`static boolean` | `vAutoProcessArchive`
`static boolean` | `vDBAVerifyConnection`
`static boolean` | `vDDAdapterDebug`
`static java.lang.String` | `vDDAdapterDebugFile`
`static java.lang.String` | `vDDAdapterErrorMessageFilePath`
`static java.lang.String` | `vDDAdapterName`
`static boolean` | `vDEBUG`
`static boolean` | `vDIRAdapterDebug`
`static java.lang.String` | `vDIRAdapterDebugFile`
`static java.lang.String` | `vDIRAdapterName`
`static java.lang.String` | `vDMSAdapterDebug`
`static java.lang.String` | `vDMSAdapterDebugFile`
`static java.lang.String` | `vDMSAdapterName`
`static java.lang.String` | `vGroupFile`
`static java.lang.String` | `vJmsTopic`
`static boolean` | `vJSInterpreterDebug`
`static java.lang.String` | `vJSInterpreterLogFile`
`static java.lang.String` | `vLDAPcn`
`static java.lang.String` | `vLDAPGroups`
`static java.lang.String` | `vLDAPPeople`
`static java.lang.String` | `vLDAPuid`
`static long` | `vMaxWaitSecForAdapters`
`static int` | `vRMIExPort`
`static int` | `vRMIPort`
`static boolean` | `vScriptAdapterDebug`
`static java.lang.String` | `vScriptAdapterDebugFile`
`static boolean` | `vSMSAdapterDebug`
`static java.lang.String` | `vSMSAdapterDebugFile`
`static java.lang.String` | `vSMSAdapterErrorMessageFilePath`
`static java.lang.String` | `vSMSAdapterHost`
`static java.lang.String` | `vSMSAdapterName`
`static boolean` | `vSMSConnectorDebug`
`static java.lang.String` | `vSMSConnectorDebugFile`
`static java.lang.String` | `vSMSConnectorHost`
`static java.lang.String` | `vSMSConnectorName`
`static java.lang.String` | `vSMSSMTPServerPort`
`static boolean` | `vSMTPAdapterDebug`
`static java.lang.String` | `vSMTPAdapterDebugFile`
`static java.lang.String` | `vSMTPAdapterErrorMessageFilePath`
`static java.lang.String` | `vSMTPAdapterHost`
`static java.lang.String` | `vSMTPAdapterName`
`static int` | `vSMTPPollingInterval`
`static java.lang.String` | `vTempFileTime`
`static java.lang.String` | `vTWFAdminRole`
`static java.lang.String` | `vTWFDBAdapterHost`
`static java.lang.String` | `vTWFDBAdapterName`
`static java.lang.String` | `vTWFDDAdapterHost`
`static java.lang.String` | `vTWFDDAdapterName`
`static java.util.BitSet` | `vTWFDebugFilter`
`static int` | `vTWFDirectoryService`
`static java.lang.String` | `vTWFJSInterpreterHost`
`static java.lang.String` | `vTWFJSInterpreterName`
`static java.lang.String` | `vTWFNamingService`
`static boolean` | `vTWFRecovery`
`static boolean` | `vTWFServerAcceptRequired`
`static java.lang.String` | `vTWFServerBaseURL`
`static int` | `vTWFServerClientSessionHeartBeat`
`static int` | `vTWFServerDispatcherThreads`
`static java.lang.String` | `vTWFServerEmailAddress`
`static java.lang.String` | `vTWFServerEMailBaseURL`
`static java.lang.String` | `vTWFServerEMailClientPage`
`static int` | `vTWFServerEventsHandledPerBucket`
`static int` | `vTWFServerGarbageCollectionFrequency`
`static int` | `vTWFServerGlobalNotificationDispatcherThreads`
`static java.lang.String` | `vTWFServerGNEmailCustomizerClass`
`static java.lang.String` | `vTWFServerHostName` Value holders.
`static long` | `vTWFServerHouseKeepingMemorySize`
`static java.lang.String` | `vTWFServerIORFilePath`
`static java.lang.String` | `vTWFServerJSExtCmdsClasses`
`static java.lang.String` | `vTWFServerJSExtCmdsFile`
`static java.lang.String` | `vTWFServerLogFile`
`static boolean` | `vTWFServerLogFileRecycle`
`static long` | `vTWFServerMaxMemorySize`
`static int` | `vTWFServerMaxProcessesPerUser`
`static int` | `vTWFServerMemoryMonitoringFrequency`
`static java.lang.String` | `vTWFServerMemoryZoneSizes`
`static java.lang.String` | `vTWFServerNotificationAdapters`
`static java.lang.String` | `vTWFServerNotificationAdaptersHost`
`static int` | `vTWFServerNotificationDispatcherThreads`
`static java.lang.String` | `vTWFServerNotificationUserProfileField`
`static java.lang.String` | `vTWFServerPassword`
`static boolean` | `vTWFServerProactiveNotification`
`static java.lang.String` | `vTWFServerReassignMode`
`static java.lang.String` | `vTWFServerRoot`
`static int` | `vTWFServerStartMemorySize`
`static java.lang.String` | `vTWFServerUserName`
`static java.lang.String` | `vTWFTemplatePublishers`
`static int` | `vTWFTransportType`
`static java.lang.String` | `vUserAndGroupFile`
`static java.lang.String` | `vUserFile`

Fields inherited from class com.fujitsu.iflow.common.BaseSystemEnvironment
`BUSINESSCAL, calendarDir, CLIENT_PARAM_PREFIX, debugLog, defaultFTPPassword, defaultFTPUser, defaultGroupWiIdentifier, defaultSwapLinkagePassword, defaultSwapLinkageUserName, defaultWIResponsible, DFLT_RequestSuccessNotify, DFLT_ServerMaxUnhandledEvents, DFLT_SMSAccessInterval, DFLT_TWFDirectoryService, DIRECTORY_AD, DIRECTORY_JNDI, DIRECTORY_NT, DIRECTORY_SSX, EXCEEDED_MAX_UDA_LENGTH, iniFileDir, iniFileName, iniFilePath, initErrors, kAdminRole, kAllowAbortForAllUSers, kAnalyticsCubeNames, kAnalyticsHistoryDays, kAnalyticsServerName, kAnalyticsServerPort, kBUILD, kDBUseDBProcedures, kDDFrameWorkImplClass, kDEBUGLEVEL, kDirectoryImplClass, kDirectoryService, kDMSFileSeparator, kDMSFileTransferProtocol, kDmsImplClass, kDMSRoot, kElementsInMemory, kEncryptionKey, kEncryptionScheme, kErrorMessageFile, kFileListenerConfigFile, kFileListenerLogFile, kForceUdaOptimization, kJMSFACTORY, kJMSNAMINGPROVIDER, kJMSNAMINGPROVIDERURL, kJMSNOTIFICATION, kKPIListenerConfigFile, kKPIListenerLogFile, kLDAPAccessUserID, kLDAPAccessUserPassword, kLDAPDBSuffix, kLDAPFilter, kLDAPGroupCacheAgeSec, kLDAPGroupsDN, kLDAPServer, kLDAPUseDefUsersGrps, kLDAPUsersDN, kLOCKFILERECORD, kLOGFILERECYCLESIZE, kMetaDataRepositoryPassword, kMetaDataRepositoryURL, kMetaDataRepositoryUserName, kMsSqlDbRowLockMechanism, kMsSqlEnableQueryTimeOut, kPreparedStatementCacheSize, kRequiredUserAttribute, kSecuritySwitch, kServerBaseURL, kServerEmailAddress, kServerEMailBaseURL, kServerEMailClientPage, kSERVEREVENTSHANDLEDPERBUCKET, kSERVERGNEMAILCUSTOMIZERCLASS, kSERVERHOST, kSERVERJSEXTCMDSCLASSES, kSERVERJSEXTCMDSFILE, kSERVERLOGFILE, kServerMaxUnhandledEvents, kServerName, kServerNotificationUserProfileField, kSERVERPASSWORD, kServerReassignMode, kServerRoot, kSERVERUSERNAME, kSMSAccessHost, kSMSAccessId, kSMSAccessInterval, kSMSAccessPassWord, kSMSConnectorAddress, kSmsMaxLength, kSmsMessageLength, kSMSMultiPart, kSMSPinAuthentication, kSMSRequestSuccessNotify, kSMSSMTPServerHost, kSMTPPassword, kSMTPServerHost, kSMTPServerPort, kSMTPUserName, kSupportGroupWorkItem, kSwapLinkagePassword, kSwapLinkageUserName, kTemplatePublishers, kUddiBusinessName, kUddiInquiryURL, kUddiPublisherPassword, kUddiPublisherUserName, kUddiPublishURL, kURMConfigFilePath, kURMDomain, kValidateFormPathLength, kValidateProcessNameLength, kVERSION, kWIResponsible, kWSHttpProxyHost, kWSHttpProxyPort, REASSIGN_MODE_NONE, REASSIGN_MODE_OWNER, REASSIGN_MODE_REGULAR, rulesetMap, sysSettings, vAllowAbortForAllUSers, vAnalyticsCubeNames, vAnalyticsHistoryDays, vAnalyticsServerName, vAnalyticsServerPort, vBuild, vDBAdapterDebug, vDBAdapterLogFile, vDBADriver, vDBADriverUrl, vDBALoginName, vDBALoginPassword, vDBANumConnection, vDBUseDBProcedures, vDDFrameWorkImplClass, vDebugLevel, vDirectoryImplClass, vDirectoryService, vDMSFileSeparator, vDMSFileTransferProtocol, vDmsImplClass, vDMSRoot, vElementsInMemory, vEncryptionKey, vEncryptionScheme, vErrorMessageFile, vFileListenerConfigFile, vFileListenerLogFile, vForceUdaOptimization, vJmsFactory, vJmsNotification, vJmsProperties, vKPIListenerConfigFile, vKPIListenerLogFile, vLDAPAccessUserID, vLDAPAccessUserPassword, vLDAPDBSuffix, vLDAPFilter, vLDAPGroupCacheAgeSec, vLDAPGroupsDN, vLDAPPeople_Node, vLDAPProviderUrl, vLDAPServer, vLDAPUseDefUsersGrps, vLDAPUsersDN, vLockFileRecord, vLogFileRecycleSize, vMetaDataRepositoryPassword, vMetaDataRepositoryURL, vMetaDataRepositoryUserName, vMsSqlDbRowLockMechanism, vMsSqlEnableQueryTimeOut, vPreparedStatementCacheSize, vReassignMode, vRequiredUserAttribute, vSecuritySwitch, vServerEmailAddress, vServerEMailBaseURL, vServerHost, vServerMaxUnhandledEvents, vServerName, vServerRoot, vServerType, vSMSAccessHost, vSMSAccessId, vSMSAccessInterval, vSMSAccessPassWord, vSMSConnectorAddress, vSmsMaxLength, vSmsMessageLength, vSMSMultiPart, vSmsPinAuthentication, vSMSRequestSuccessNotify, vSMSSMTPServerHost, vSMTPPassword, vSMTPServerHost, vSMTPServerPort, vSMTPUserName, vSupportGroupWorkItem, vSwapLinkagePassword, vSwapLinkageUserName, vTWFServerName, vUDAValueValidationCheck, vUddiBusinessName, vUddiInquiryURL, vUddiPublisherPassword, vUddiPublisherUserName, vUddiPublishURL, vURMConfigFilePath, vURMDomain, vValidateFormPathLength, vValidateProcessNameLength, vVersion, vWIResponsible, vWSHttpProxyHost, vWSHttpProxyPort, WI_RESPONSIBLE_ALL, WI_RESPONSIBLE_GROUP, WI_RESPONSIBLE_USER, WI_UDA_FLD_DLT, WI_UDA_MAX_REC_LENGTH, WI_UDA_REC_DLT`

Constructor Summary
`SystemEnvironment()`
`SystemEnvironment(java.lang.String iniFileDirectory)`

Method Summary
`static java.lang.String` | `getVlidParamName(java.lang.String param)`
`protected static boolean` | `loadProperties()`
`protected static void` | `updateIniWithEncryption(java.lang.String iniFile)`
`static boolean` | `verifyIniFile()`

Methods inherited from class com.fujitsu.iflow.common.BaseSystemEnvironment
`checkOldIniFile, decrptText, doParseBool, doParseInt, doParseLong, doParseString, doParseString, findProperty, getClientProperty, getIniFilePath, getProperty, getProperty, loadProperties, setIniFilePath, setIniFilePath, updateIniWithEncryption, verifyIniFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pubList

    public static java.lang.String[] pubList

### transportTypes

    public static java.lang.String[] transportTypes

### TRANSPORT_RMI

    public static final int TRANSPORT_RMI

See Also:
  Constant Field Values

### TRANSPORT_IIOP

    public static final int TRANSPORT_IIOP

See Also:
  Constant Field Values

### TRANSPORT_RMIIIOP

    public static final int TRANSPORT_RMIIIOP

See Also:
  Constant Field Values

### oldIniFileName

    protected static final java.lang.String oldIniFileName

See Also:
  Constant Field Values

### kLDAPPeople

    public static final java.lang.String kLDAPPeople

See Also:
  Constant Field Values

### kLDAPGroups

    public static final java.lang.String kLDAPGroups

See Also:
  Constant Field Values

### kMaxWaitSecForAdapters

    public static java.lang.String kMaxWaitSecForAdapters

### vTWFServerHostName

    public static java.lang.String vTWFServerHostName

  Value holders.

### vTWFDebugFilter

    public static java.util.BitSet vTWFDebugFilter

### vTWFDBAdapterName

    public static java.lang.String vTWFDBAdapterName

### vTWFDDAdapterName

    public static java.lang.String vTWFDDAdapterName

### vTWFJSInterpreterName

    public static java.lang.String vTWFJSInterpreterName

### vJSInterpreterLogFile

    public static java.lang.String vJSInterpreterLogFile

### vJSInterpreterDebug

    public static boolean vJSInterpreterDebug

### vTWFDBAdapterHost

    public static java.lang.String vTWFDBAdapterHost

### vTWFDDAdapterHost

    public static java.lang.String vTWFDDAdapterHost

### vTWFJSInterpreterHost

    public static java.lang.String vTWFJSInterpreterHost

### vDBAVerifyConnection

    public static boolean vDBAVerifyConnection

### vTWFNamingService

    public static java.lang.String vTWFNamingService

### vTWFServerJSExtCmdsFile

    public static java.lang.String vTWFServerJSExtCmdsFile

### vTWFServerJSExtCmdsClasses

    public static java.lang.String vTWFServerJSExtCmdsClasses

### vTWFServerGNEmailCustomizerClass

    public static java.lang.String vTWFServerGNEmailCustomizerClass

### vTWFServerUserName

    public static java.lang.String vTWFServerUserName

### vTWFServerPassword

    public static java.lang.String vTWFServerPassword

### vDEBUG

    public static boolean vDEBUG

### vTWFServerLogFile

    public static java.lang.String vTWFServerLogFile

### vTWFServerLogFileRecycle

    public static boolean vTWFServerLogFileRecycle

### vTWFServerDispatcherThreads

    public static int vTWFServerDispatcherThreads

### vTWFServerProactiveNotification

    public static boolean vTWFServerProactiveNotification

### vTWFServerNotificationDispatcherThreads

    public static int vTWFServerNotificationDispatcherThreads

### vTWFServerGlobalNotificationDispatcherThreads

    public static int vTWFServerGlobalNotificationDispatcherThreads

### vTWFServerEventsHandledPerBucket

    public static int vTWFServerEventsHandledPerBucket

### vTWFRecovery

    public static boolean vTWFRecovery

### vTWFAdminRole

    public static java.lang.String vTWFAdminRole

### vTWFTemplatePublishers

    public static java.lang.String vTWFTemplatePublishers

### vDDAdapterName

    public static java.lang.String vDDAdapterName

### vDIRAdapterName

    public static java.lang.String vDIRAdapterName

### vDMSAdapterName

    public static java.lang.String vDMSAdapterName

### vDDAdapterErrorMessageFilePath

    public static java.lang.String vDDAdapterErrorMessageFilePath

### vDDAdapterDebug

    public static boolean vDDAdapterDebug

### vDDAdapterDebugFile

    public static java.lang.String vDDAdapterDebugFile

### vRMIPort

    public static int vRMIPort

### vRMIExPort

    public static int vRMIExPort

### vTempFileTime

    public static java.lang.String vTempFileTime

### vLDAPuid

    public static java.lang.String vLDAPuid

### vLDAPcn

    public static java.lang.String vLDAPcn

### vLDAPPeople

    public static java.lang.String vLDAPPeople

### vLDAPGroups

    public static java.lang.String vLDAPGroups

### vTWFServerAcceptRequired

    public static boolean vTWFServerAcceptRequired

### vGroupFile

    public static java.lang.String vGroupFile

### vUserFile

    public static java.lang.String vUserFile

### vUserAndGroupFile

    public static java.lang.String vUserAndGroupFile

### vTWFServerBaseURL

    public static java.lang.String vTWFServerBaseURL

### vTWFServerEMailBaseURL

    public static java.lang.String vTWFServerEMailBaseURL

### vTWFServerEMailClientPage

    public static java.lang.String vTWFServerEMailClientPage

### vTWFServerNotificationAdapters

    public static java.lang.String vTWFServerNotificationAdapters

### vTWFServerNotificationAdaptersHost

    public static java.lang.String vTWFServerNotificationAdaptersHost

### vTWFServerEmailAddress

    public static java.lang.String vTWFServerEmailAddress

### vTWFServerNotificationUserProfileField

    public static java.lang.String vTWFServerNotificationUserProfileField

### vSMTPAdapterName

    public static java.lang.String vSMTPAdapterName

### vSMTPAdapterHost

    public static java.lang.String vSMTPAdapterHost

### vSMTPAdapterErrorMessageFilePath

    public static java.lang.String vSMTPAdapterErrorMessageFilePath

### vSMTPAdapterDebug

    public static boolean vSMTPAdapterDebug

### vSMTPAdapterDebugFile

    public static java.lang.String vSMTPAdapterDebugFile

### vSMTPPollingInterval

    public static int vSMTPPollingInterval

### vSMSSMTPServerPort

    public static java.lang.String vSMSSMTPServerPort

### vSMSAdapterName

    public static java.lang.String vSMSAdapterName

### vSMSAdapterHost

    public static java.lang.String vSMSAdapterHost

### vSMSAdapterErrorMessageFilePath

    public static java.lang.String vSMSAdapterErrorMessageFilePath

### vSMSAdapterDebug

    public static boolean vSMSAdapterDebug

### vSMSAdapterDebugFile

    public static java.lang.String vSMSAdapterDebugFile

### vSMSConnectorHost

    public static java.lang.String vSMSConnectorHost

### vSMSConnectorName

    public static java.lang.String vSMSConnectorName

### vSMSConnectorDebug

    public static boolean vSMSConnectorDebug

### vSMSConnectorDebugFile

    public static java.lang.String vSMSConnectorDebugFile

### vScriptAdapterDebug

    public static boolean vScriptAdapterDebug

### vScriptAdapterDebugFile

    public static java.lang.String vScriptAdapterDebugFile

### vTWFServerReassignMode

    public static java.lang.String vTWFServerReassignMode

### vDIRAdapterDebugFile

    public static java.lang.String vDIRAdapterDebugFile

### vDIRAdapterDebug

    public static boolean vDIRAdapterDebug

### vDMSAdapterDebugFile

    public static java.lang.String vDMSAdapterDebugFile

### vDMSAdapterDebug

    public static java.lang.String vDMSAdapterDebug

### vTWFServerStartMemorySize

    public static int vTWFServerStartMemorySize

### vTWFServerMaxMemorySize

    public static long vTWFServerMaxMemorySize

### vTWFServerHouseKeepingMemorySize

    public static long vTWFServerHouseKeepingMemorySize

### vTWFServerMemoryZoneSizes

    public static java.lang.String vTWFServerMemoryZoneSizes

### vTWFServerMemoryMonitoringFrequency

    public static int vTWFServerMemoryMonitoringFrequency

### vTWFServerMaxProcessesPerUser

    public static int vTWFServerMaxProcessesPerUser

### vTWFServerGarbageCollectionFrequency

    public static int vTWFServerGarbageCollectionFrequency

### vTWFServerClientSessionHeartBeat

    public static int vTWFServerClientSessionHeartBeat

### vTWFServerIORFilePath

    public static java.lang.String vTWFServerIORFilePath

### vAutoProcessArchive

    public static boolean vAutoProcessArchive

### vJmsTopic

    public static java.lang.String vJmsTopic

### vTWFServerRoot

    public static java.lang.String vTWFServerRoot

### vAgentDispatcherThreads

    public static int vAgentDispatcherThreads

### vTWFDirectoryService

    public static int vTWFDirectoryService

### vTWFTransportType

    public static int vTWFTransportType

### vMaxWaitSecForAdapters

    public static long vMaxWaitSecForAdapters

### DFLT_TWFServerEMailClientPage

    public static java.lang.String DFLT_TWFServerEMailClientPage

  Defaults

### DFLT_TWFServerNotificationUserProfileField

    public static java.lang.String DFLT_TWFServerNotificationUserProfileField

### DFLT_TWFServerStartMemorySize

    public static java.lang.String DFLT_TWFServerStartMemorySize

### DFLT_TWFServerMaxMemorySize

    public static java.lang.String DFLT_TWFServerMaxMemorySize

### DFLT_TWFServerHouseKeepingMemorySize

    public static java.lang.String DFLT_TWFServerHouseKeepingMemorySize

### DFLT_TWFServerMemoryZoneSizes

    public static java.lang.String DFLT_TWFServerMemoryZoneSizes

### DFLT_TWFServerMemoryMonitoringFrequency

    public static java.lang.String DFLT_TWFServerMemoryMonitoringFrequency

### DFLT_TWFServerMaxProcessesPerUser

    public static java.lang.String DFLT_TWFServerMaxProcessesPerUser

### DFLT_TWFServerGarbageCollectionFrequency

    public static java.lang.String DFLT_TWFServerGarbageCollectionFrequency

### DFLT_TWFServerClientSessionHeartBeat

    public static java.lang.String DFLT_TWFServerClientSessionHeartBeat

### initFileName

    public static java.lang.String initFileName

Constructor Detail

### SystemEnvironment

    public SystemEnvironment()
                      throws java.io.FileNotFoundException

### SystemEnvironment

    public SystemEnvironment(java.lang.String iniFileDirectory)
                      throws java.io.FileNotFoundException

Method Detail

### loadProperties

    protected static boolean loadProperties()

### verifyIniFile

    public static boolean verifyIniFile()

### updateIniWithEncryption

    protected static void updateIniWithEncryption(java.lang.String iniFile)

### getVlidParamName

    public static java.lang.String getVlidParamName(java.lang.String param)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD